<div class="{{navbarClass}}">
    <!-- <div class="plor-responsive-nav">
        <div class="container-fluid">
            <div class="plor-responsive-menu">
                <div class="logo">
                    <a routerLink="/">
                        <img src="../../../../assets/img/myImage/اللوغو.png" alt="logo" >
                    </a>
                </div>
            </div>
        </div>
    </div> -->

    <nav class="navbar navbar-expand-lg navbar-light bg-light" [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" >
        <a class="navbar-brand" routerLink="/" >
            <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"

         class="imm"  *ngIf="!lang&&login"  style="width: 50%;;" >

         <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"

           *ngIf="lang && login" style="width: 50%;  margin-left: 40%;" class="lar">

           <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"

           class="imm"  *ngIf="!lang && !login"  style="width: 50%;    " >
           <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"
  
             *ngIf="lang && !login" style="width: 50%;    margin-left: 45%;    " class="oo">
        </a>
        <button *ngIf="!login" class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation"
        style="    margin-top: -16%;
        background-color: white;
        margin-right: 3%;
        margin-left:3%
        ">
          <span class="navbar-toggler-icon"></span>
        </button>

        <button *ngIf="login && lang" class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation"
        style="    margin-top: -16%;
        background-color: white;
        margin-right: 82%;
    margin-left: 50%;
        ">
          <span class="navbar-toggler-icon"></span>
        </button>
        <button class="navbar-toggler" *ngIf="login && !lang" type="button" data-toggle="collapse" data-target="#navbarText" aria-controls="navbarText" aria-expanded="false" aria-label="Toggle navigation"
        style="    margin-top: -14%; background-color: white;     margin-left: 80%;
        ">
          <span class="navbar-toggler-icon"></span>
        </button>
       
        <div class="collapse navbar-collapse j" id="navbarText" style="    margin-left: -8%;
        margin-right: -20%;">
          <ul class="navbar-nav ar" *ngIf="lang" >
         
            <li class="nav-item active"><a routerLink="/"  class="nav-link active">{{'home' | translate }}  </a>
                          
            </li>

      

            <li class="nav-item active"><a routerLink="/category" class="nav-link" >{{'s' | translate }} </a>
             
            </li>
            <li class="nav-item active"><a routerLink="/programservice" class="nav-link" >{{'sss' | translate }} </a>
             
            </li>
       

            <li class="nav-item active"><a routerLink="/contact" class="nav-link" >{{'contcutus' | translate }} </a>
              
            </li>

          
                 
            <li class="nav-item active" style="width: 89px;"  *ngIf="!login"><a routerLink="/register" class="nav-link" *ngIf="!login">
                <img src="../../../../assets/img/myImage/sign-up.png" style="width:35%;margin-top: -6%;"> |  </a>  </li>
                     <li class="nav-item" style="margin-right: -5px; margin-left: -5px;"><a routerLink="/login" class="nav-link" *ngIf="!login" >{{'signin' | translate }}
                </a> </li>
             
                <li class="nav-item active out" style="padding-right:4%"><a  class="nav-link" *ngIf="login" (click)="logout()" style="cursor: pointer;">{{'sign out' | translate }} |  </a>  </li>
                <li class="nav-item active my"  style="margin-right: -5px; margin-left: -5px;"><a routerLink="/myProfile" class="nav-link" *ngIf="login">{{'myprofile' | translate }}
           </a> </li>
            
           <li class="nav-item iccc" style="width:5%"  (click)="changeLang()">
            <a>
         

            <img src="../../../../assets/img/myImage/hi.png"   style="    
            cursor: pointer;
    
         
        "  class="immmm"
          >
        </a>
              
           </li>
           <li class="nav-item  active computer" ><a *ngIf="login" routerLink="/cart" class="nav-link" >
            <img src="../../../../assets/img/charge/shopping-icon.png" style="width: 15%;">       
            </a>
                  
               </li>
               <li class="nav-item active computer" ><a *ngIf="login" routerLink="/wallet" class="nav-link" >
                <img src="../../../../assets/img/charge/bag-icon.png" style="width: 15%;">       
                </a>
                      
                   </li>


          </ul>
    
          <ul class="navbar-nav "   *ngIf="!lang"  style="    margin-left: -18%;">
            <li class="nav-item active"><a routerLink="/"  class="nav-link">{{'home' | translate }} </a>
                          
            </li>

    

            <li class="nav-item active"><a routerLink="/category" class="nav-link" >{{'s' | translate }} </a>
             
            </li>
            <li class="nav-item active"><a routerLink="/programservice" class="nav-link" >{{'sss' | translate }} </a>
             
            </li>
    

            <li class="nav-item active"><a routerLink="/contact" class="nav-link" >{{'contcutus' | translate }} </a>
              
            </li>

            
            <li class="nav-item active "  style="width: 71px;"  *ngIf="!login"><a routerLink="/register" class="nav-link" *ngIf="!login">
                <img src="../../../../assets/img/myImage/sign-up.png" style="width: 36%;" > |  </a>  </li>
                     <li class="nav-item active r" style="    margin-left: -4%; 
                     "><a routerLink="/login" class="nav-link" *ngIf="!login" >{{'signin' | translate }}
                </a> </li>
             
                <li class="nav-item active out" style="padding-left:4%"><a  class="nav-link" *ngIf="login" (click)="logout()" style="cursor: pointer;">{{'sign out' | translate }} |  </a>  </li>
                <li class="nav-item active my"  style="margin-right: -5px; margin-left: -5px;"><a routerLink="/myProfile" class="nav-link " *ngIf="login">{{'myprofile' | translate }}
           </a> </li>

           <li class="nav-item1 iccc active" style="width:5%">
            <a> 
            <img src="../../../../assets/img/myImage/k.png"  (click)="changeLang()" style="
          border-radius: 50%;
        cursor: pointer;
          "
        class="immmm">
           
        </a>
              
           </li>

           <li class="nav-item1 computer active" ><a *ngIf="login" routerLink="/cart" class="nav-link" >
        <img src="../../../../assets/img/charge/shopping-icon.png" style="width: 15%;">       
        </a>
              
           </li>
           <li class="nav-item1 computer active" ><a *ngIf="login" routerLink="/wallet" class="nav-link" >
            <img src="../../../../assets/img/charge/bag-icon.png" style="width: 15%;">       
            </a>
                  
               </li>
        

          

          </ul>

          <div class="others-option1 d-flex align-items-center mobile " *ngIf="!lang && login">
            <div class="option-item" *ngIf="login">
                <div class="cart-btn">
                    <a routerLink="/cart">
                        <i class="flaticon-shopping-cart"></i>
                        <span>{{cart}}</span>
                    </a>
                </div>
            </div>
            <div class="option-item" *ngIf="login">
                <div class="">
                    <a routerLink="/wallet">
                        <i class="fa fa-briefcase" aria-hidden="true" style="color:white;
                        font-size: 25px"></i>
                       
                    </a>
                </div>
            </div>

      </div>

        <div class="others-option d-flex align-items-center mobile" *ngIf="lang && login">
           
           
                  <div class="" *ngIf="login">
                      <div class="">
                          <a routerLink="/wallet">
                            <i class="fa fa-briefcase" aria-hidden="true" style="color:white;
                            font-size: 25px"></i>
                          </a>
                      </div>
                  </div>
      <div style="color: white;padding-left: 10px;
      padding-right: 10px" *ngIf="login"> |</div>  
            <div class="" *ngIf="login">
                <div class="cart-btn">
                    <a routerLink="/cart">
                        <i class="flaticon-shopping-cart"></i>
                        <span>{{cart}}</span>
                    </a>
                </div>
            </div>
         
         
            
            
        </div>
        </div>
      </nav>



      <!-- old -->
    <!-- <div class="plor-nav"  [ngStyle]="{'direction': lang ?  'rtl': 'ltr' }" >
        <div class="" style="padding-right: 5%;padding-left: 5%;">
            <nav class="navbar navbar-expand-lg navbar-light bg-light">
                <a class="navbar-brand" routerLink="/" >
                    <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"
        
                 class="imm"  *ngIf="!lang&&login"  style="width: 100%;" >
                 <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"
        
                   *ngIf="lang && login" style="width: 100%; ">

                   <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"
        
                   class="imm"  *ngIf="!lang && !login"  style="width: 100%;" >
                   <img src="./../../../../assets/img/myImage/اللوغو.png" alt="logo"
          
                     *ngIf="lang && !login" style="width: 100%; margin-left: 20%;">
                </a>

              
               
                <div class="collapse navbar-collapse mean-menu"
              style="">
                    <ul class="navbar-nav" *ngIf="lang">
                        <li class="nav-item"><a routerLink="/"  class="nav-link">{{'home' | translate }} </a>
                          
                        </li>

                  

                        <li class="nav-item"><a routerLink="/category" class="nav-link" >{{'s' | translate }} </a>
                         
                        </li>
                        <li class="nav-item"><a routerLink="/programservice" class="nav-link" >{{'sss' | translate }} </a>
                         
                        </li>
                   

                        <li class="nav-item"><a routerLink="/contact" class="nav-link" >{{'contcutus' | translate }} </a>
                          
                        </li>

                      
                             
                        <li class="nav-item" style="width: 89px;"  *ngIf="!login"><a routerLink="/register" class="nav-link" *ngIf="!login">
                            <img src="../../../../assets/img/myImage/sign-up.png" style="width:35%;margin-top: -6%;"> |  </a>  </li>
                                 <li class="nav-item" style="margin-right: -5px; margin-left: -5px;"><a routerLink="/login" class="nav-link" *ngIf="!login" >{{'signin' | translate }}
                            </a> </li>
                         
                            <li class="nav-item"><a  class="nav-link" *ngIf="login" (click)="logout()" style="cursor: pointer;">{{'sign out' | translate }} |  </a>  </li>
                            <li class="nav-item"  style="margin-right: -5px; margin-left: -5px;"><a routerLink="/myProfile" class="nav-link" *ngIf="login">{{'myprofile' | translate }}
                       </a> </li>
                        
                       <li class="nav-item iccc" style="width:7%"  (click)="changeLang()">
                        <a>
                     

                        <img src="../../../../assets/img/myImage/hi.png"   style="    
                        cursor: pointer;
                
                        margin-top: 10%;
                        margin-left: 30%;
                    "  class="immmm"
                      >
                    </a>
                          
                       </li>
                       <li class="nav-item computer" ><a *ngIf="login" routerLink="/cart" class="nav-link" >
                        <img src="../../../../assets/img/charge/shopping-icon.png" style="width: 15%;">       
                        </a>
                              
                           </li>
                           <li class="nav-item computer" ><a *ngIf="login" routerLink="/wallet" class="nav-link" >
                            <img src="../../../../assets/img/charge/bag-icon.png" style="width: 15%;">       
                            </a>
                                  
                               </li>


                      
                    </ul>
                    <ul class="navbar-nav" *ngIf="!lang">
                        <li class="nav-item1"><a routerLink="/"  class="nav-link">{{'home' | translate }} </a>
                          
                        </li>

                

                        <li class="nav-item1"><a routerLink="/category" class="nav-link" >{{'s' | translate }} </a>
                         
                        </li>
                        <li class="nav-item1"><a routerLink="/programservice" class="nav-link" >{{'sss' | translate }} </a>
                         
                        </li>
                

                        <li class="nav-item1"><a routerLink="/contact" class="nav-link" >{{'contcutus' | translate }} </a>
                          
                        </li>

                        
                        <li class="nav-item1"  style="width: 71px;"  *ngIf="!login"><a routerLink="/register" class="nav-link" *ngIf="!login">
                            <img src="../../../../assets/img/myImage/sign-up.png" style="width: 36%;" > |  </a>  </li>
                                 <li class="nav-item1" style="margin-right: -5px; margin-left: -5px;"><a routerLink="/login" class="nav-link" *ngIf="!login" >{{'signin' | translate }}
                            </a> </li>
                         
                            <li class="nav-item1"><a  class="nav-link" *ngIf="login" (click)="logout()" style="cursor: pointer;">{{'sign out' | translate }} |  </a>  </li>
                            <li class="nav-item1"  style="margin-right: -5px; margin-left: -5px;"><a routerLink="/myProfile" class="nav-link" *ngIf="login">{{'myprofile' | translate }}
                       </a> </li>
 
                       <li class="nav-item1 iccc" style="width:7%">
                        <a> 
                        <img src="../../../../assets/img/myImage/k.png"  (click)="changeLang()" style="
                      border-radius: 50%;
                    cursor: pointer;
                              
                            margin-top: 36%;
                          margin-left: -16%;" 
                        class="immmm">
                       
                    </a>
                          
                       </li>

                       <li class="nav-item1 computer" ><a *ngIf="login" routerLink="/cart" class="nav-link" >
                    <img src="../../../../assets/img/charge/shopping-icon.png" style="width: 15%;">       
                    </a>
                          
                       </li>
                       <li class="nav-item1 computer" ><a *ngIf="login" routerLink="/wallet" class="nav-link" >
                        <img src="../../../../assets/img/charge/bag-icon.png" style="width: 15%;">       
                        </a>
                              
                           </li>
                    

                      
                    </ul>
                 
                </div>
            </nav>
        </div>
    </div> -->
 
    <!-- <div class="others-option-for-responsive">
        <div class="container">
            <div class="dot-menu">
                <div class="inner">
                    <div class="circle circle-one"></div>
                    <div class="circle circle-two"></div>
                    <div class="circle circle-three"></div>
                </div>
            </div>
            
            <div class="container">
                
                <div class="option-inner">
                    <div class="others-option justify-content-center d-flex align-items-center">
                        <div class="option-item" *ngIf="login">
                            <div class="cart-btn">
                                <a routerLink="/cart">
                                    <i class="flaticon-shopping-cart"></i>
                                    <span>{{cart}}</span>
                                </a>
                            </div>
                        </div>

                        <div class="option-item">
                            <a routerLink="/wallet">
                              <i class="fa fa-briefcase" aria-hidden="true" style="color:white;
                              font-size: 20px"></i>
                            </a>
                        </div>

                       
                    </div>
                </div>
            </div>
        </div>
    </div> -->
</div>

<!-- Sidebar Modal -->
<!-- <div class="sidebarModal modal right fade" id="sidebarModal" tabindex="-1" role="dialog">
   <div style="    background: whitesmoke;
   width: 10%;
   margin-top: 4%;">
    <ul style="list-style-type:none">
            <li class="nav-item">
                {{'en' | translate }}   <img src="../../../../assets/img/myImage/hi.png" style="    width: 40%;
            border-radius: 50%">
            </li>

            <li class="nav-item">
                {{'ar' | translate }}    <img src="../../../../assets/img/myImage/k.png" style="    width: 40%;
            border-radius: 50%">
            </li>
        </ul>
        </div>
   
</div> -->
<!-- End Sidebar Modal -->

<!-- Search Overlay -->
<div class="search-overlay">
    <div class="d-table">
        <div class="d-table-cell">
            <div class="search-overlay-layer"></div>
            <div class="search-overlay-layer"></div>
            <div class="search-overlay-layer"></div>
            
            <div class="search-overlay-close">
                <span class="search-overlay-close-line"></span>
                <span class="search-overlay-close-line"></span>
            </div>

            <div class="search-overlay-form">
                <form>
                    <input type="text" class="input-search" placeholder="Search here...">
                    <button type="submit"><i class="flaticon-search"></i></button>
                </form>
            </div>
        </div>
    </div>
</div>
<!-- End Search Overlay -->